#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

int main() {
    long long ans1[1000001];
    ans1[1] = 1;
    for (int i = 2; i <= 1000000; i++)
        ans1[i] = ans1[i - 1] + i + 1;
    long long ans[1000001];
    ans[1] = 1;
    for (long long i = 2; i <= 1000000; i++)
        ans[i] = i * i + ans1[i] + i * (i - 1) + ans1[i - 1] + ans[i - 1];
    int n, m;
    cin >> n >> m;
    if (n > m)
        swap(n, m);
    long long Ans = 0;
    while (n < m) {
        Ans = Ans + n * m + ans1[n];
        m--;
    }
    Ans = Ans + ans[n];
    cout << Ans;
    return 0;
}

